### Method

# Gdk Surfaceset_cursor

#### Declaration [src]

    void
    gdk_surface_set_cursor (
      GdkSurface* surface,
      GdkCursor* cursor
    )

#### Description [src]

Sets the default mouse pointer for a `GdkSurface`.

Passing `NULL` for the `cursor` argument means that `surface` will use the cursor of its parent surface. Most surfaces should use this default. Note that `cursor` must be for the same display as `surface`.

Use `gdk_cursor_new_from_name()` or `gdk_cursor_new_from_texture()` to create the cursor. To make the cursor invisible, use `GDK_BLANK_CURSOR`.

Sets property | `Gdk.Surface:cursor`

#### Parameters

`cursor`

  Type: `GdkCursor`

  A `GdkCursor`

  The argument can be `NULL`.
  The data is owned by the caller of the method.